From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 16 May 2008<P>

Distant Moon,<BR>
thank you...
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 16 May 2008<P>

Kirk,thank you for the front page pick,was certainly a pleasant surprise =)
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 16 May 2008<P>

karinflor~<BR>
<BR>
Thank you so much!! I'm very glad that you enjoyed that peice. :)
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 16 May 2008<P>

Ali, about <a href="/blend/wv.cgi?id=2008.05.16.09.37.24857">some kind of lobotomy</a>: Sweetie, several here should relate to this one...i certainly have resembled this--the knot, i know it too well...the bright side is that the knot will go away...<BR>
take care<BR>
CS%*
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 16 May 2008<P>

Ali, about <a href="/blend/wv.cgi?id=2008.05.16.09.37.24857">some kind of lobotomy</a>: Oh, yeah, I have often wondered if anybody still did frontal lobotomies and if I could sign myself up for one.  For many many reasons.  So I could sleep at night.  So I could obsess less.  So I could feel less.  So I could love less.  Yeah, I've been there.  <BR>
<BR>
Love the Forrest Gump reference too.  Has anybody seen "Eternal Sunshine of the Spotless Mind"?  Same idea.  <BR>
<BR>
Never did get the lobotomy.  Though I was in a ward once, and Nurse Ratched doled out the kind of meds that accomplished the sort of numbing that I needed at the time.  It was a nice little respite.  Hehe. <BR>
<BR>
Beautiful, angry piece Ali.  Love it.   <BR>
<BR>

<HR>